function isLogin() {
	return window._hasAccountInfo;
}
// 获取用户信息
function getAccountInfo() {
	$.get('account', function(data){
		if (data.content) {
			$('.x-nologin').hide();
			$('.x-login').show();
			$('.x-login').find('.title').text(data.content.name + '，' + data.content.spaceName);
			$('.link-mall').attr('href', 'http://www.usoftmall.com/login/proxy');
			window._hasAccountInfo = true;
		}
	});
}

// 登录
function login(event) {
	event.preventDefault();
	$.get('account/login', function(data){
		data.content && (window.location.href = data.content);
	});
}

// 退出
function logout() {
	$.get('account/logout', function(data) {
		if(data.success) {
			window.location.reload();
		}
	});
}

$(function() {
	'use strict';
	
	// 监听页面滚动
	$(window).scroll(function() {
		if($(window).scrollTop() >= 400) {
			$('#nav').addClass('on');
		} else {
			$('#nav').removeClass('on');
		}
	});
	
	// 查询登录信息
	getAccountInfo();
	
	// 登录点击
	$('.link-login').click(login);
	
	// 退出点击
	$('.link-logout').click(logout);
	
});